uuid: fc248a70-7e53-4aff-99ed-06490b9f1c55
langcode: en
status: true
dependencies:
  enforced:
    module:
      - rg_import
id: rgp_sink_page
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags: null
migration_group: sink
label: 'Product page'
source:
  plugin: product_source
  data_fetcher_plugin: http
  data_parser_plugin: json
  track_changes: false
  skip_count: true
  domain: akeneoce.hicmedia.com
  apiname: customapi/api
  version: V1
  inside_page: GetRangeMasterProductDetails
  urls: 'http://akeneoce.hicmedia.com/customapi/api/en/V1/GetRangeMasterProductDetails?sku=aaa'
  item_selector: data
  authentication:
    plugin: oauth2
    grant_type: client_credentials
    base_uri: 'http://akeneoce.hicmedia.com'
    token_url: /customapi/api/en/v2/GetToken
    client_id: agawebsite
    client_secret: 'Sd[eW_d;YNN7'
  fields:
    -
      name: sku
      label: Sku
      selector: sku
    -
      name: enabled
      label: Status
      selector: enabled
    -
      name: categories
      label: categories
      selector: categories
    -
      name: dam_thumb
      label: 'Image 1'
      selector: dam_thumb
    -
      name: dam_image
      label: 'Image 2'
      selector: dam_image
    -
      name: sheet_url
      label: sheet_url
      selector: sheet_url
    -
      name: energy_label_url
      label: energy_label_url
      selector: energy_label_url
    -
      name: attr
      label: attr
      selector: attr
  ids:
    sku:
      type: string
  constants:
    store: 1
process:
  collection:
    -
      plugin: get_attribute_value
      attribute: ProductFamily
    -
      plugin: skip_on_empty
      method: row
    -
      plugin: entity_generate
      value_key: name
      bundle_key: vid
      bundle: cooker_collection
      entity_type: taxonomy_term
  temp_brand:
    -
      plugin: get_attribute_value
      attribute: BRAND
    -
      plugin: entity_generate
      value_key: name
      bundle_key: vid
      bundle: brands
      entity_type: taxonomy_term
      ignore_case: true
  temp_country:
    -
      plugin: get_attribute_value
      attribute: couofori
    -
      plugin: entity_generate
      value_key: name
      bundle_key: vid
      bundle: country
      entity_type: taxonomy_term
      ignore_case: true
  temp_currency:
    -
      plugin: get_attribute_value
      attribute: Currency
  temp_title:
    plugin: build_sink_title
  title:
    plugin: build_title
    source: '@collection'
  stores: constants/store
  field_category:
    -
      plugin: skip_on_empty
      source: categories
      method: process
    -
      plugin: migration_lookup
      migration: rgp_category
      no_stub: true
  field_range_cooker_collection: '@collection'
  variations:
    plugin: variation_generate
    source:
      - sku
      - dam_thumb
      - dam_image
      - '@collection'
    type: sink
destination:
  plugin: product_page
  default_bundle: sink
  overwrite_properties:
    - variations
    - title
    - field_category
    - field_range_cooker_collection
migration_dependencies: null
